snd_interval_list
Prev | Chapter 24. Sound Devices | Next

## Name

snd_interval_list — refine the interval value from the list

## Synopsis

`int snd_interval_list (` | struct snd_interval * | i,
| unsigned int | count,
| unsigned int * | list,
| unsigned int | mask`)`;

## Arguments

`i`

  the interval value to refine

`count`

  the number of elements in the list

`list`

  the value list

`mask`

  the bit-mask to evaluate

## Description

Refines the interval value from the list. When mask is non-zero, only the elements corresponding to bit 1 are evaluated.

Returns non-zero if the value is changed, zero if not changed.

Prev | Up | Next
snd_interval_ratnum | Home | snd_pcm_hw_rule_add